# SRS-3 Client Library

The Satlab SRS-3 client library provides remote access to the receiver using functions that wrap CSP protocol messages.

## Ground Watchdog

This file provides functions for resetting and reading the ground watchdog timer.

Defines

`SL_SRS3_GWDT_RESET_KEY`

Functions

static int `sl_srs3_gwdt_reset`(uint8_t node, uint32_t timeout, uint32_t key)

  Reset ground watchdog timer.

  Helper function to reset the ground watchdog timer property.

  Return

    0 on success, and a negative error code on error.

  Parameters

    - `node`: CSP address of the SRS-3 node.

    - `timeout`: Timeout of the command in milliseconds.

    - `key`: Must be SL_SRS3_GWDT_RESET_KEY.

static int `sl_srs3_gwdt_counter`(uint8_t node, uint32_t timeout, uint32_t *counter)

  Read ground watchdog timer.

  Helper function to read the current ground watchdog timer counter. The counter holds the remaing time in seconds before the ground watchdog timer resets the system.

  Return

    0 on success, and a negative error code on error.

  Parameters

    - `node`: CSP address of the SRS-3 node.

    - `timeout`: Timeout of the command in milliseconds.

    - `counter`: Pointer where the current counter is stored.

## Remote Command

This file provides functions for running debug shell commands remotely.

It is meant as a debugging aid and should not be required during normal operation of the device.

Functions

int `sl_srs3_shell_run`(uint8_t node, uint32_t timeout, const char *cmd)

  Run debug shell command.

  This function allows debug shell commands to be run on the Polaris system. The command is evaluated on the remote systems, and the command return value is returned. Output from the command is not available.

  Return

    0 on success, and a negative error code on error.

  Parameters

    - `node`: CSP address of the property node.

    - `timeout`: Timeout of the command in milliseconds.

    - `cmd`: Command to execute